> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List risk snapshots for an audit

> Returns a paginated list of risk assessment snapshots available for an audit.

Risk snapshots capture the state of an organization's risk register at a
point in time. Each snapshot has an `id` that can be used with the
`/audits/{auditId}/risks` endpoint to retrieve the individual risk
scenarios within that snapshot.

Results are sorted by creation date (newest first). This sort order is
fixed and cannot be customized via query parameters. Only snapshots
that are shared with auditors are included.

Uses cursor-based pagination. To paginate:
1. Make initial request with desired `pageSize`
2. Check `results.pageInfo.hasNextPage`
3. Use `results.pageInfo.endCursor` as `pageCursor` for next request

Rate limit: 10 requests / minute.



## OpenAPI

````yaml https://spec.speakeasy.com/vanta/vanta/conduct-an-audit-with-code-samples get /audits/{auditId}/risks/snapshots
openapi: 3.0.0
info:
  title: Conduct an audit
  version: 1.0.0
  description: >-
    The Auditor API lets audit firms conduct audits from a tool outside of
    Vanta. Unlock data syncing with Vanta through this API.


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: US Region API
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /audits/{auditId}/risks/snapshots:
    get:
      tags:
        - Audits
      summary: List risk snapshots for an audit
      description: >-
        Returns a paginated list of risk assessment snapshots available for an
        audit.


        Risk snapshots capture the state of an organization's risk register at a

        point in time. Each snapshot has an `id` that can be used with the

        `/audits/{auditId}/risks` endpoint to retrieve the individual risk

        scenarios within that snapshot.


        Results are sorted by creation date (newest first). This sort order is

        fixed and cannot be customized via query parameters. Only snapshots

        that are shared with auditors are included.


        Uses cursor-based pagination. To paginate:

        1. Make initial request with desired `pageSize`

        2. Check `results.pageInfo.hasNextPage`

        3. Use `results.pageInfo.endCursor` as `pageCursor` for next request


        Rate limit: 10 requests / minute.
      operationId: ListRiskSnapshots
      parameters:
        - description: The audit ID
          in: path
          name: auditId
          required: true
          schema:
            type: string
        - description: Maximum number of results per page (1-100, default 10)
          in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - description: Pagination cursor from previous response
          in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
      responses:
        '200':
          description: Paginated list of risk snapshots with pagination metadata
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_RiskSnapshot_'
              examples:
                Example 1:
                  value:
                    results:
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: 507f1f77bcf86cd799439011
                        endCursor: 507f1f77bcf86cd799439011
                      data:
                        - id: 507f1f77bcf86cd799439011
                          createdAt: '2024-08-15T14:30:00.000Z'
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: typescript
          label: ListRiskSnapshots
          source: |-
            import { Vanta } from "vanta-auditor-api-sdk";

            const vanta = new Vanta({
              bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
            });

            async function run() {
              const result = await vanta.audits.listRiskSnapshots({
                auditId: "<id>",
              });

              console.log(result);
            }

            run();
        - lang: java
          label: ListRiskSnapshots
          source: >-
            package hello.world;


            import com.vanta.vanta_auditor_api.Vanta;

            import
            com.vanta.vanta_auditor_api.models.operations.ListRiskSnapshotsResponse;

            import java.lang.Exception;


            public class Application {

                public static void main(String[] args) throws Exception {

                    Vanta sdk = Vanta.builder()
                            .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
                        .build();

                    ListRiskSnapshotsResponse res = sdk.audits().listRiskSnapshots()
                            .auditId("<id>")
                            .pageSize(10)
                            .call();

                    if (res.paginatedResponseRiskSnapshot().isPresent()) {
                        System.out.println(res.paginatedResponseRiskSnapshot().get());
                    }
                }
            }
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_RiskSnapshot_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/RiskSnapshot'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    RiskSnapshot:
      description: >-
        A risk assessment snapshot available for an audit.


        Risk snapshots capture the state of an organization's risk register at a

        point in time. Use the snapshot `id` with the
        `/audits/{auditId}/risks/{snapshotId}`

        endpoint to retrieve the risk scenarios within a snapshot.
      properties:
        id:
          type: string
          description: Unique identifier for the risk snapshot.
          example: 507f1f77bcf86cd799439011
        createdAt:
          type: string
          format: date-time
          description: The date and time when this risk snapshot was created.
      required:
        - id
        - createdAt
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````